#pragma once

#include "ofMain.h"
#include "GameMain.h"

struct Vector2{
	float _x;
	float _y;
};



struct Circle{

	Vector2 pos;
	Vector2 mov;
	int radius;

	bool goal_active; //	S[Ă邩ǂ

	int stage;		  //	Xe[W؂ւ

};
struct Player{

	ofImage image[4];
	Vector2 pos;
	Vector2 mov;
	int size;
	int vecX;
	int vecY;
	int axisX;
	int axisY;
	int way;
	

	bool blow_active;	//	zł邩ǂ

};




class testApp : public ofBaseApp{

	Circle  circle;
	Player	player;
	private:
		int _goal_x;
		int _goal_y;
		float _length_x;
		float _length_y;

	public:
		void draw_circle();
		void draw_player();
		void length(float pos_x,float pos_y,float tpos_x,float tpos_y);
		void reach(float *pos_x,float *pos_y,float tpos_x,float tpos_y);
		void SetTargetPos();

		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);
		void dragEvent(ofDragInfo dragInfo);
		void gotMessage(ofMessage msg);
		
};
